# Uses of Class
javax.security.auth.kerberos.KerberosKey

Packages that use KerberosKey
Package
Description
javax.security.auth.kerberos
This package contains utility classes related to the Kerberos network authentication protocol.

## Uses of KerberosKey in javax.security.auth.kerberos

Methods in javax.security.auth.kerberos that return KerberosKey
Modifier and Type
Method
Description
`KerberosKey[]`
KeyTab.`getKeys​(KerberosPrincipal principal)`
Returns fresh keys for the given Kerberos principal.